Quickstart
Get from zero to your first API calls in a sandbox tenant. If you don’t have one yet, request access.
Step 1 · Authenticate
Section titled “Step 1 · Authenticate”Exchange your client credentials for a bearer token. See Authentication for the full token request shape.
export EFIMIS_TOKEN=$(curl -s -X POST \ "https://id.efimis.com/.../oauth2/v2.0/token" \ -d "grant_type=client_credentials&client_id=$CLIENT_ID&client_secret=$CLIENT_SECRET&scope=..." \ | jq -r .access_token)Step 2 · Create a client
Section titled “Step 2 · Create a client”A client is an entity in the role of a client. First create the entity, then assign the client role.
# Create entityENTITY_ID=$(curl -s -X POST "https://api.sandbox.uk.efimis.com/acme/v1/entities" \ -H "Authorization: Bearer $EFIMIS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"entityType":"Individual","firstName":"Gordon","lastName":"Smith","currency":"GBP","email":"gordon.smith@example.com"}' \ | jq -r .data.id)
# Assign client roleCLIENT_ID=$(curl -s -X POST "https://api.sandbox.uk.efimis.com/acme/v1/clients" \ -H "Authorization: Bearer $EFIMIS_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"entityId\":\"$ENTITY_ID\"}" \ | jq -r .data.id)Step 3 · Open a matter
Section titled “Step 3 · Open a matter”MATTER_ID=$(curl -s -X POST "https://api.sandbox.uk.efimis.com/acme/v1/matters" \ -H "Authorization: Bearer $EFIMIS_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"clientId\":\"$CLIENT_ID\",\"title\":\"Smith v. Johnson\"}" \ | jq -r .data.id)
echo "Matter: $MATTER_ID"Step 4 · Preview work item posting
Section titled “Step 4 · Preview work item posting”curl -X POST "https://api.sandbox.uk.efimis.com/acme/v1/workitems" \ -H "Authorization: Bearer $EFIMIS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "matterId": "<MATTER_ID>", ... }'What’s next
Section titled “What’s next”- Subscribe to webhooks to receive real-time event notifications
- Read the API reference for all available resources
- Browse recipes for common integration patterns